For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Lakera DashboardBook a Demo
HomeOverviewGuidesAPI ReferenceChangelogSupport
HomeOverviewGuidesAPI ReferenceChangelogSupport
  • Overview
    • API Overview
    • Guard
    • Guard Results
    • Kubernetes Probes
  • Lakera API
  • Platform API
      • POSTCreate project
      • GETGet project
      • PUTUpdate project
      • DELDelete project
LogoLogo
Lakera DashboardBook a Demo
Platform APIProjects

Create project

POST
https://platform.lakera.ai/api/v1-beta/projects
POST
/api/v1-beta/projects
$curl -X POST https://platform.lakera.ai/api/v1-beta/projects \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "string"
>}'
200Successful
1{
2 "name": "string",
3 "policy_id": "string",
4 "project_metadata": {}
5}
Create a new project
Was this page helpful?
Previous

Get project

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication using API key. Generate an API key from the Lakera platform. Example: Bearer sk_123…

Request

This endpoint expects an object.
namestringRequired
A descriptive name for the project
policy_idstringOptional
ID of the policy to be applied to this project. If not provided, uses default policy.
project_metadatamap from strings to stringsOptional
Custom metadata tags for analysis and cross referencing

Response

Project created
namestring
A descriptive name for the project
policy_idstring
ID of the policy to be applied to this project. If not provided, uses default policy.
project_metadatamap from strings to strings
Custom metadata tags for analysis and cross referencing